/*
    Copyright (C) 2004  Whitney Young

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* WYHotKeyCenter */

#import <Cocoa/Cocoa.h>
#import <Carbon/Carbon.h>

@class WYHotKey;
@interface WYHotKeyCenter : NSObject {
	NSMutableDictionary *hotKeys;
}

+ (WYHotKeyCenter *)defaultCenter;
+ (long)cocoaToCarbonModifiers:(long)cocoaModifiers;

- (void)registerHotKey:(WYHotKey *)key;
- (void)unregisterHotKey:(WYHotKey *)key;

@end
